image: registry.gitlab.com/matilda.peak/doozer:stable

stages:
- test

# Actions prior to every job.
before_script:
- pip install -r requirements.txt
- pip install -r build-requirements.txt

# Static analysis.
static analysis:
  stage: test
  script:
  - yamllint ansible
  # Our standard security check
  - git log -p | scanrepo
